## org.apache.xerces.xni.psvi
Interface ItemPSVI

All Known Subinterfaces:
  AttributePSVI, ElementPSVI

public interface ItemPSVI

Represent a PSVI item for one element or one attribute information item. The interface may be updated or replaced.

Version:
  $Id: ItemPSVI.java,v 1.9 2003/02/20 23:10:44 elena Exp $
Author:
  Elena Litani, IBM

Field Summary
`static short` `VALIDATION_FULL` Validation status indicating that full schema validation has been performed on the element.
`static short` `VALIDATION_NONE` Validation status indicating that schema validation has been performed and the element in question has specifically been skipped.
`static short` `VALIDATION_PARTIAL` Validation status indicating that schema validation has been performed on the element in question under the rules of lax validation.
`static short` `VALIDITY_INVALID` Validity value indicating that validation has been strictly assessed and the element in question is invalid according to the rules of schema validation.
`static short` `VALIDITY_NOTKNOWN` Validity value indicating that validation has either not been performed or that a strict assessment of validity could not be performed
`static short` `VALIDITY_VALID` Validity value indicating that validation has been strictly assessed and the element in question is valid according to the rules of schema validation.

Method Summary
`org.apache.xerces.impl.xs.psvi.StringList` `getErrorCodes()` A list of error codes generated from validation attempts.
`boolean` `getIsSchemaSpecified()` [schema specified]

`org.apache.xerces.impl.xs.psvi.XSSimpleTypeDefinition`

`getMemberTypeDefinition()`
If and only if that type definition is a simple type definition with {variety} union, or a complex type definition whose {content type} is a simple thype definition with {variety} union, then an item isomorphic to that member of the union's {member type definitions} which actually validated the element item's normalized value.

`java.lang.String` `getSchemaDefault()` [schema default]
`java.lang.String` `getSchemaNormalizedValue()` [schema normalized value]
`org.apache.xerces.impl.xs.psvi.XSTypeDefinition` `getTypeDefinition()` An item isomorphic to the type definition used to validate this element.
`short` `getValidationAttempted()` Determines the extent to which the document has been validated
`java.lang.String` `getValidationContext()` [validation context] // REVISIT: what the return type should be? Should we return QName/XPath/ or element info item..?
`short` `getValidity()` Determine the validity of the node with respect to the validation being attempted

Field Detail

### VALIDITY_NOTKNOWN

    public static final short VALIDITY_NOTKNOWN

  Validity value indicating that validation has either not been performed or that a strict assessment of validity could not be performed

### VALIDITY_INVALID

    public static final short VALIDITY_INVALID

  Validity value indicating that validation has been strictly assessed and the element in question is invalid according to the rules of schema validation.

### VALIDITY_VALID

    public static final short VALIDITY_VALID

  Validity value indicating that validation has been strictly assessed and the element in question is valid according to the rules of schema validation.

### VALIDATION_NONE

    public static final short VALIDATION_NONE

  Validation status indicating that schema validation has been performed and the element in question has specifically been skipped.

### VALIDATION_PARTIAL

    public static final short VALIDATION_PARTIAL

  Validation status indicating that schema validation has been performed on the element in question under the rules of lax validation.

### VALIDATION_FULL

    public static final short VALIDATION_FULL

  Validation status indicating that full schema validation has been performed on the element.

Method Detail

### getValidationContext

    public java.lang.String getValidationContext()

  [validation context] // REVISIT: what the return type should be? Should we return QName/XPath/ or element info item..?
  Returns:
    The nearest ancestor element information item with a [schema information] property (or this element item itself if it has such a property)
  See Also:
    XML Schema Part 1: Structures [validation context]

### getValidity

    public short getValidity()

  Determine the validity of the node with respect to the validation being attempted
  Returns:
    return the [validity] property. Possible values are: VALIDITY_UNKNOWN, VALIDITY_INVALID, VALIDITY_VALID

### getValidationAttempted

    public short getValidationAttempted()

  Determines the extent to which the document has been validated
  Returns:
    return the [validation attempted] property. The possible values are VALIDATION_NONE, VALIDATION_PARTIAL and VALIDATION_FULL

### getErrorCodes

    public org.apache.xerces.impl.xs.psvi.StringList getErrorCodes()

  A list of error codes generated from validation attempts. Need to find all the possible subclause reports that need reporting
  Returns:
    list of error codes

### getSchemaNormalizedValue

    public java.lang.String getSchemaNormalizedValue()

  [schema normalized value]
  Returns:
    the normalized value of this item after validation
  See Also:
    XML Schema Part 1: Structures [schema normalized value]

### getTypeDefinition

    public org.apache.xerces.impl.xs.psvi.XSTypeDefinition getTypeDefinition()

  An item isomorphic to the type definition used to validate this element.
  Returns:
    a type declaration

### getMemberTypeDefinition

    public org.apache.xerces.impl.xs.psvi.XSSimpleTypeDefinition getMemberTypeDefinition()

  If and only if that type definition is a simple type definition with {variety} union, or a complex type definition whose {content type} is a simple thype definition with {variety} union, then an item isomorphic to that member of the union's {member type definitions} which actually validated the element item's normalized value.
  Returns:
    a simple type declaration

### getSchemaDefault

    public java.lang.String getSchemaDefault()

  [schema default]
  Returns:
    The canonical lexical representation of the declaration's {value constraint} value.
  See Also:
    XML Schema Part 1: Structures [schema default]

### getIsSchemaSpecified

    public boolean getIsSchemaSpecified()

  [schema specified]
  Returns:
    true - value was specified in schema, false - value comes from the infoset
  See Also:
    XML Schema Part 1: Structures [schema specified]

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.